port: 7890
socks-port: 7891
allow-lan: true
mode: Rule
log-level: info
external-controller: :9090
proxies:
  - {name: 1.--_US_美国_1+3, server: 38.110.1.51, port: 8090, type: ss, cipher: aes-256-gcm, password: PCnnH6SQSnfoS27}
  - {name: 2.--_US_美国_6, server: 38.110.1.111, port: 8000, type: ss, cipher: aes-256-gcm, password: KixLvKzwjekG00rm}
  - {name: 3.--长期更新节点@mftizi+6, server: 38.121.43.248, port: 8882, type: ss, cipher: aes-256-gcm, password: kDWvXYZoTBcGkC4}
  - {name: 4.--jp-vm, server: han.ekiing.eu.org, port: 2095, type: vmess, uuid: 1eeaebe8-0e55-4e95-e232-a94126972afc, alterId: 0, cipher: auto, tls: false, network: ws, ws-opts: {path: /doc, headers: {Host: han.ekiing.eu.org}}}
  - {name: 5.--_US_美国_4+1, server: series-a2.samanehha.co, port: 443, type: ss, cipher: chacha20-ietf-poly1305, password: mps3FwmDjLrWaOVg}
  - {name: 6.--长期更新节点@mftizi+3, server: 51.77.53.200, port: 8888, type: ss, cipher: aes-256-gcm, password: Y6R9pAtvxxzmGC}
  - {name: 7.--Our+10, server: 107.21.2.92, port: 22222, type: trojan, password: telegram-id-directvpn, skip-cert-verify: true}
  - {name: 8.--@Hope_Net+1, server: 23.157.40.53, port: 8118, type: ss, cipher: aes-256-gcm, password: cdBIDV42DCwnfIN}
  - {name: 9.--ID(@Outline_Vpn) 306, server: 104.21.83.108, port: 443, type: vmess, uuid: 6c168fcc-2231-4f3b-8c1e-f6391692df4a, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /link, headers: {Host: hms02.fxiaomi.sbs}}}
  - {name: 10.--@Hope_Net-join-us-on-Telegram+5, server: 154.47.21.54, port: 8099, type: vmess, uuid: fa1897db-1925-4c86-a495-939a959af900, alterId: 0, cipher: auto, tls: false}
  - {name: 11.--@Hope_Net-join-us-on-Telegram+6, server: 172.67.161.77, port: 443, type: vmess, uuid: edbb1059-1633-4271-b66e-ed4fba47a1bf, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /linkws, headers: {Host: linde06.indiavideo.sbs}}}
  - {name: 12.--ID(@Outline_Vpn) 335, server: 172.67.71.160, port: 443, type: vmess, uuid: 05641cf5-58d2-4ba4-a9f1-b3cda0b1fb1d, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /linkws, headers: {Host: obdii.cfd}}}
  - {name: 13.--ID(@Outline_Vpn) 307, server: 104.26.0.95, port: 443, type: vmess, uuid: 05641cf5-58d2-4ba4-a9f1-b3cda0b1fb1d, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /linkws, headers: {Host: obdii.cfd}}}
  - {name: 14.--@LOCKEY_VPN | رایتل - ایرانسل+1, server: series-a1.samanehha.co, port: 443, type: ss, cipher: chacha20-ietf-poly1305, password: W74XFALLLuw6m5IA}
  - {name: 15.--Our+16, server: 13.50.156.112, port: 22222, type: trojan, password: telegram-id-directvpn, skip-cert-verify: true}
  - {name: 16.--HELIX FREE SERVER 4, server: www.teletrans.ro, port: 443, type: vmess, uuid: 05641cf5-58d2-4ba4-a9f1-b3cda0b1fb1d, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /linkws/obdii.cfd, headers: {Host: nezuko.raidenshogun.cloudns.org}}}
  - {name: 17.--Telegram 🆔 @ROMAX_VPN | Server1+2, server: 185.146.173.59, port: 443, type: vmess, uuid: 05641cf5-58d2-4ba4-a9f1-b3cda0b1fb1d, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /linkws, headers: {Host: obdii.cfd}}}
  - {name: 18.--@SiNABiGO👈کانال تلگرام, server: 95.164.9.144, port: 2927, type: ss, cipher: chacha20-ietf-poly1305, password: ug4Fu79SEREdFGlt2sUyT4}
  - {name: 19.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+2, server: 172.67.164.164, port: 443, type: vmess, uuid: a1655f51-1e20-4a92-8a11-b7ca30a7a353, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /linkws, headers: {Host: afrhms07.xfixedfloat.cfd}}}
  - {name: 20.--United States Vultr, server: 155.138.242.207, port: 80, type: vmess, uuid: 81f40c2c-e3e8-4e0a-cb51-33db25e20b97, alterId: 0, cipher: auto, tls: false, network: ws, ws-opts: {path: /, headers: {Host: 155.138.242.207}}}
  - {name: 21.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+3, server: 38.114.114.6, port: 5499, type: ss, cipher: aes-256-gcm, password: lGqs95QkFHo2NV}
  - {name: 22.--ID(@Outline_Vpn) 346, server: 104.21.4.6, port: 443, type: vmess, uuid: 1052f24e-7b09-45eb-b0c5-d858eb124192, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /linkws, headers: {Host: glweidf.cfd}}}
  - {name: 23.--Telegram 🆔 @ROMAX_VPN | Server1+3, server: hdfy1sub1.achaemenidempireofpersia.uk, port: 443, type: vmess, uuid: 6b880b07-e952-4c0b-b4a3-6c9ac4cf9d3f, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /QvtvPdDXXIlSdZMqnuxG, headers: {Host: hdfy1sub1.achaemenidempireofpersia.uk}}}
  - {name: 24.--Germany Akamai+1, server: jahfkjha.cfd, port: 443, type: vmess, uuid: 950db6aa-4926-4616-816e-ec0312dcb87b, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /linkws, headers: {Host: jahfkjha.cfd}}}
  - {name: 25.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+4, server: 23.106.32.171, port: 443, type: trojan, password: F9D3CpxDl8a3ezeZNSBSAa2RcZNSBSAa2RcY8IyagD67Yn3S30ZTElRj4wFX5On3S30ZT, skip-cert-verify: true}
  - {name: 26.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+8, server: hidd2.afsharidempire.uk, port: 443, type: vmess, uuid: 19c80ce9-0935-41b9-b077-277621316a87, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /liUxUGJTGoPjd07ui73LZgwx8s, headers: {Host: hidd2.afsharidempire.uk}}}
  - {name: 27.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+7, server: hidd2.sassanidempire.com, port: 443, type: vmess, uuid: 19c80ce9-0935-41b9-b077-277621316a87, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /liUxUGJTGoPjd07ui73LZgwx8s, headers: {Host: hidd2.sassanidempire.com}}}
  - {name: 28.--@customv2ray کانفیگ های بیشتر عضو شو, server: 104.16.219.108, port: 80, type: vmess, uuid: 950db6aa-4926-4616-816e-ec0312dcb87b, alterId: 0, cipher: auto, tls: false, network: ws, ws-opts: {path: /Telegram/XV2ray, headers: {Host: rubika.ir.google.com.xn--cr8haaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.xn--cr8haaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aparat.com.V2ray.com.shw2.ir.xn--cr8haaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.xn--g28h.dns-dynamic.net.}}}
  - {name: 29.--Singapore Akamai, server: 192.53.113.130, port: 80, type: ss, cipher: chacha20-ietf-poly1305, password: vBE5Su1CJ3Ly3mzUtQqnI3}
  - {name: 30.--@vless_vmess+2, server: 216.246.25.16, port: 16899, type: ss, cipher: aes-128-gcm, password: Yc2CtrIz8L}
  - {name: 31.--Canada GTHost, server: to.tilebani.com, port: 443, type: vmess, uuid: 03fcc618-b93d-6796-6aed-8a38c975d581, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /linkvws, headers: {Host: to.tilebani.com}}}
  - {name: 32.--TELEGRAM-PROXY_MTM+2, server: series-a2.varzesh360.co, port: 443, type: ss, cipher: chacha20-ietf-poly1305, password: mps3FwmDjLrWaOVg}
  - {name: 33.--proxy_mtm, server: 45.158.171.148, port: 8080, type: ss, cipher: chacha20-ietf-poly1305, password: a8bt9fY0QsLS6eLnXUe0Ym}
  - {name: 34.--DR HOSIN2_kingo filter, server: 172.67.131.108, port: 443, type: vmess, uuid: 1052f24e-7b09-45eb-b0c5-d858eb124192, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /linkws, headers: {Host: glweidf.cfd}}}
proxy-groups:
  - name: 手动切换
    type: select
    proxies:
      - 1.--_US_美国_1+3
      - 2.--_US_美国_6
      - 3.--长期更新节点@mftizi+6
      - 4.--jp-vm
      - 5.--_US_美国_4+1
      - 6.--长期更新节点@mftizi+3
      - 7.--Our+10
      - 8.--@Hope_Net+1
      - 9.--ID(@Outline_Vpn) 306
      - 10.--@Hope_Net-join-us-on-Telegram+5
      - 11.--@Hope_Net-join-us-on-Telegram+6
      - 12.--ID(@Outline_Vpn) 335
      - 13.--ID(@Outline_Vpn) 307
      - 14.--@LOCKEY_VPN | رایتل - ایرانسل+1
      - 15.--Our+16
      - 16.--HELIX FREE SERVER 4
      - 17.--Telegram 🆔 @ROMAX_VPN | Server1+2
      - 18.--@SiNABiGO👈کانال تلگرام
      - 19.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+2
      - 20.--United States Vultr
      - 21.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+3
      - 22.--ID(@Outline_Vpn) 346
      - 23.--Telegram 🆔 @ROMAX_VPN | Server1+3
      - 24.--Germany Akamai+1
      - 25.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+4
      - 26.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+8
      - 27.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+7
      - 28.--@customv2ray کانفیگ های بیشتر عضو شو
      - 29.--Singapore Akamai
      - 30.--@vless_vmess+2
      - 31.--Canada GTHost
      - 32.--TELEGRAM-PROXY_MTM+2
      - 33.--proxy_mtm
      - 34.--DR HOSIN2_kingo filter
  - name: 自动选择
    type: url-test
    url: https://www.google.com/favicon.ico
    interval: 300
    tolerance: 50
    proxies:
      - 1.--_US_美国_1+3
      - 2.--_US_美国_6
      - 3.--长期更新节点@mftizi+6
      - 4.--jp-vm
      - 5.--_US_美国_4+1
      - 6.--长期更新节点@mftizi+3
      - 7.--Our+10
      - 8.--@Hope_Net+1
      - 9.--ID(@Outline_Vpn) 306
      - 10.--@Hope_Net-join-us-on-Telegram+5
      - 11.--@Hope_Net-join-us-on-Telegram+6
      - 12.--ID(@Outline_Vpn) 335
      - 13.--ID(@Outline_Vpn) 307
      - 14.--@LOCKEY_VPN | رایتل - ایرانسل+1
      - 15.--Our+16
      - 16.--HELIX FREE SERVER 4
      - 17.--Telegram 🆔 @ROMAX_VPN | Server1+2
      - 18.--@SiNABiGO👈کانال تلگرام
      - 19.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+2
      - 20.--United States Vultr
      - 21.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+3
      - 22.--ID(@Outline_Vpn) 346
      - 23.--Telegram 🆔 @ROMAX_VPN | Server1+3
      - 24.--Germany Akamai+1
      - 25.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+4
      - 26.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+8
      - 27.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+7
      - 28.--@customv2ray کانفیگ های بیشتر عضو شو
      - 29.--Singapore Akamai
      - 30.--@vless_vmess+2
      - 31.--Canada GTHost
      - 32.--TELEGRAM-PROXY_MTM+2
      - 33.--proxy_mtm
      - 34.--DR HOSIN2_kingo filter
  - name: 负载均衡
    type: load-balance
    strategy: consistent-hashing
    url: https://www.google.com/favicon.ico
    interval: 300
    tolerance: 50
    proxies:
      - 1.--_US_美国_1+3
      - 2.--_US_美国_6
      - 3.--长期更新节点@mftizi+6
      - 4.--jp-vm
      - 5.--_US_美国_4+1
      - 6.--长期更新节点@mftizi+3
      - 7.--Our+10
      - 8.--@Hope_Net+1
      - 9.--ID(@Outline_Vpn) 306
      - 10.--@Hope_Net-join-us-on-Telegram+5
      - 11.--@Hope_Net-join-us-on-Telegram+6
      - 12.--ID(@Outline_Vpn) 335
      - 13.--ID(@Outline_Vpn) 307
      - 14.--@LOCKEY_VPN | رایتل - ایرانسل+1
      - 15.--Our+16
      - 16.--HELIX FREE SERVER 4
      - 17.--Telegram 🆔 @ROMAX_VPN | Server1+2
      - 18.--@SiNABiGO👈کانال تلگرام
      - 19.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+2
      - 20.--United States Vultr
      - 21.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+3
      - 22.--ID(@Outline_Vpn) 346
      - 23.--Telegram 🆔 @ROMAX_VPN | Server1+3
      - 24.--Germany Akamai+1
      - 25.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+4
      - 26.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+8
      - 27.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+7
      - 28.--@customv2ray کانفیگ های بیشتر عضو شو
      - 29.--Singapore Akamai
      - 30.--@vless_vmess+2
      - 31.--Canada GTHost
      - 32.--TELEGRAM-PROXY_MTM+2
      - 33.--proxy_mtm
      - 34.--DR HOSIN2_kingo filter
  - name: 中国节点
    type: select
    proxies:
      - DIRECT
  - name: 日本节点
    type: select
    proxies:
      - DIRECT
  - name: 新加坡节点
    type: select
    proxies:
      - DIRECT
  - name: 美国节点
    type: url-test
    url: https://www.google.com/favicon.ico
    interval: 300
    tolerance: 150
    proxies:
      - 1.--_US_美国_1+3
      - 2.--_US_美国_6
      - 5.--_US_美国_4+1
rules:
  - MATCH,手动切换
